# Generated by Django 2.0.5 on 2020-03-05 10:16

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('document', '0036_auto_20200127_1013'),
    ]

    def add_after_hours_to_docs_and_templates(apps, schema_editor):
        """
        Port old documents and templates to the new structure.
        """
        SOWDocument = apps.get_model("document", "SOWDocument")
        for doc in SOWDocument.objects.all():
            doc.json_config["service_cost"].update({"after_hours": 0})
            doc.save()
        SOWTemplate = apps.get_model("document", "SOWTemplate")
        for template in SOWTemplate.objects.all():
            template.json_config["service_cost"].update({"after_hours": 0})
            template.save()

    operations = [migrations.RunPython(add_after_hours_to_docs_and_templates)]
